MEMOVERLAP(3pub)

NAME
memoverlap - check whether two memory blocks overlap

SYNOPSIS
#include <publib.h>
int memoverlap(const void *t, size_t ts, const void *s, size_t ss);

DESCRIPTION
memoverlap checks whether the memory blocks t--(t+ts-1) and s--(s+ss-1) overlap. Neither pointer argument may be NULL, but the sizes may be 0. The memory blocks can be arbitrary, they do not have to be part of the same array. Therefore, this function hides the unportable pointer comparison that one would otherwise rely on.

RETURN VALUE
memoverlap returns 0 if the blocks do not overlap, and nonzero if they do.

SEE ALSO
publib(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)